We’re here to help

Comments

1 comment

  • Avatar
    Dominik Klesel

    Hello Bonnie,

    unfortunately our app requires iOS 11 or higher. So we can´t provide you an app that is compatible with iOS 10.

    Best,

    Dominik Klesel

    Avira Customer Service Engineer

     
    0
    Comment actions Permalink

Post is closed for comments.